Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.align
Class ASShortestPathMeasure

    java.lang.Object
      fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>
          fr.inrialpes.exmo.ontosim.align.ASShortestPathMeasure

All Implemented Interfaces:
  AlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>, Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

Direct Known Subclasses:
  ASAlignmentPathMeasure

    public class ASShortestPathMeasure

extends AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

A measure between ontologies in the alignment space depending of the length of the shortest path between the ontologies. This measure is directed, i.e., it is not symmetric

Nested Class Summary
`static class` | `ASShortestPathMeasure.NORM`

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`protected int` | `diameter`
`protected Hashtable<URI,Integer>` | `index`
`private boolean` | `inited`
`protected int[][]` | `matrix`
`protected ASShortestPathMeasure.NORM` | `modality`
`protected int` | `norm`
`protected int` | `size`

Fields inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`measureMatrix, network`

Constructor Summary
`ASShortestPathMeasure()`
`ASShortestPathMeasure(org.semanticweb.owl.align.OntologyNetwork noo)`

Method Summary
`double` | `getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`double` | `getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`Measure.TYPES` | `getMType()`
`ASShortestPathMeasure.NORM` | `getNormModality()`
`double` | `getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`int` | `getValue(fr.inrialpes.exmo.ontowrap.Ontology o1, fr.inrialpes.exmo.ontowrap.Ontology o2)`
`private void` | `init()` This function does compute the values for all
`void` | `setNormModality(ASShortestPathMeasure.NORM mod)`

Methods inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`addAlignment, getAlignments, setAlignmentSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inited

    private boolean inited

### modality

    protected ASShortestPathMeasure.NORM modality

### size

    protected int size

### norm

    protected int norm

### diameter

    protected int diameter

### index

    protected Hashtable<URI,Integer> index

### matrix

    protected int[][] matrix

Constructor Detail

### ASShortestPathMeasure

    public ASShortestPathMeasure(org.semanticweb.owl.align.OntologyNetwork noo)

### ASShortestPathMeasure

    public ASShortestPathMeasure()

Method Detail

### getMType

    public Measure.TYPES getMType()

### getNormModality

    public ASShortestPathMeasure.NORM getNormModality()

### setNormModality

    public void setNormModality(ASShortestPathMeasure.NORM mod)

### getValue

    public int getValue(fr.inrialpes.exmo.ontowrap.Ontology o1,
                        fr.inrialpes.exmo.ontowrap.Ontology o2)

### getMeasureValue

    public double getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                                  fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getSim

    public double getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                         fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getDissim

    public double getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                            fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### init

    private void init()
               throws OntoSimException

  This function does compute the values for all

  Throws:
    `OntoSimException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009